const axios = require('axios')
const BASE_URL = 'api.podbean.com/v1'


const post = (endpoint, body, config) => axios.post(`${BASE_URL}${endpoint}`, `refresh_token=${body.refresh_token}&grant_type=refresh_token` , config)
const put = (endpoint, body, config) => axios.put(`${BASE_URL}${endpoint}`, body, config)
const patch = (endpoint, body, config) => axios.patch(`${BASE_URL}${endpoint}`, body, config)
const get = (endpoint, config) => axios.get(`${BASE_URL}${endpoint}`, config)


module.exports = { post, get, put, patch }